<?php
/*
# ------------------------------------------------------------------------
# Extensions for Joomla 2.5.x - Joomla 3.x - Joomla 4.x
# ------------------------------------------------------------------------
# Copyright (C) 2011-2020 Eco-Joom.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2.
# Author: Eco-Joom.com
# Author: Makeev Vladimir
#Author email: v.v.makeev@icloud.com
# Websites:  http://eco-joom.com
# Date modified: 05/05/2020 - 13:00
# ------------------------------------------------------------------------
*/


// no direct access
defined('_JEXEC') or die;
if(!defined('DS')){
	define('DS',DIRECTORY_SEPARATOR);
}
?>

<script type="text/javascript">
jQuery(document).ready(function(){
	jQuery('#bxslider<?php echo $ext_id; ?>').bxSlider({
		mode: '<?php echo $ext_mode;?>',
		randomStart: <?php echo $ext_random_start;?>,
		minSlides: <?php echo $ext_min_slides;?>,
		maxSlides: <?php echo $ext_max_slides;?>,
		slideWidth: <?php echo $ext_slide_width;?>,
		slideMargin: <?php echo $ext_slide_margin;?>,
		adaptiveHeight: <?php echo $ext_adaptive_height;?>,
		adaptiveHeightSpeed: <?php echo $ext_adaptive_height_speed;?>,
		easing:	'<?php echo $ext_easing;?>',
		captions: <?php echo $ext_captions;?>,
		//ticker: <?php echo $ext_ticker;?>,
		//tickerHover: <?php echo $ext_ticker_hover;?>,
		speed: <?php echo $ext_speed;?>,
		controls: <?php echo $ext_controls; ?>,
		auto: <?php echo $ext_auto;?>,
		autoControls: <?php echo $ext_auto_controls;?>,
		pause: <?php echo $ext_pause?>,
		autoDelay: <?php echo $ext_auto_delay; ?>,
		autoHover: <?php echo $ext_autohover; ?>,
		pager: <?php echo $ext_pager;?>,
		pagerType: '<?php echo $ext_pager_type;?>',
		pagerShortSeparator: '<?php echo $ext_pager_saparator;?>'
	});
});
</script>

<div class="mod_eco_bxslider_images_phoca_galler <?php echo $moduleclass_sfx ?>">	
	<ul id="bxslider<?php echo $ext_id; ?>">
		<?php	
		foreach ($images as $k => $v) {
			$thumbLink	= PhocaGalleryFileThumbnail::getThumbnailName($v->filename, 'large');
			echo '<li>';
			if ($ext_captions == true) {
				echo '<a href="#"><img src="'.JURI::base(true).'/'.$thumbLink->rel.'" alt="'.htmlspecialchars($v->title).'" title="'.htmlspecialchars($v->title).'" /></a>';
			} else {
					echo '<a href="#"><img src="'.JURI::base(true).'/'.$thumbLink->rel.'" alt="'.htmlspecialchars($v->title).'" /></a>';
				}
			echo '</li>';
		}	
		?>
	</ul>	
	<div style="clear:both;"></div>
</div>

